import os

from . import config

def get_apps():
    try:
        with open(config.AUTOSTART_FILE) as f:
            lines = f.read().splitlines()
        return set(lines)
    except FileNotFoundError:
        return set()

def set_app(app_name, enabled):
    apps = get_apps()
    if enabled:
        apps.add(app_name)
    else:
        try:
            apps.remove(app_name)
        except KeyError:
            return
    os.makedirs(config.DATA_DIR, exist_ok=True)
    with open(config.AUTOSTART_FILE, 'w') as f:
        for app in apps:
            f.write(f'{app}\n')
